Server (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.transport

## Class Server

- java.lang.Object
- - org.apache.cassandra.transport.Server

- All Implemented Interfaces:
    CassandraDaemon.Server

      public class Server
      extends java.lang.Object
      implements CassandraDaemon.Server

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `Server.AbstractSecureIntializer`
    `static class` | `Server.ConnectionTracker`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CURRENT_VERSION`
    `java.net.InetSocketAddress` | `socket`
    `static int` | `VERSION_1`
    `static int` | `VERSION_2`
    `static int` | `VERSION_3`
    `static int` | `VERSION_4`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Server(java.net.InetAddress host, int port)`
    `Server(java.net.InetSocketAddress socket)`
    `Server(int port)`
    `Server(java.lang.String hostname, int port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isRunning()` Returns whether the server is currently running.
    `void` | `start()` Start the server.
    `void` | `stop()` Stop the server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION_1

          public static final int VERSION_1

      See Also:
        Constant Field Values

    - #### VERSION_2

          public static final int VERSION_2

      See Also:
        Constant Field Values

    - #### VERSION_3

          public static final int VERSION_3

      See Also:
        Constant Field Values

    - #### VERSION_4

          public static final int VERSION_4

      See Also:
        Constant Field Values

    - #### CURRENT_VERSION

          public static final int CURRENT_VERSION

      See Also:
        Constant Field Values

    - #### socket

          public final java.net.InetSocketAddress socket

  - ### Constructor Detail

    - #### Server

          public Server(java.net.InetSocketAddress socket)

    - #### Server

          public Server(java.lang.String hostname,
                        int port)

    - #### Server

          public Server(java.net.InetAddress host,
                        int port)

    - #### Server

          public Server(int port)

  - ### Method Detail

    - #### start

          public void start()

      Description copied from interface: `CassandraDaemon.Server`
      Start the server. This method shoud be able to restart a server stopped through stop(). Should throw a RuntimeException if the server cannot be started
      Specified by:
        `start` in interface `CassandraDaemon.Server`

    - #### stop

          public void stop()

      Description copied from interface: `CassandraDaemon.Server`
      Stop the server. This method should be able to stop server started through start(). Should throw a RuntimeException if the server cannot be stopped
      Specified by:
        `stop` in interface `CassandraDaemon.Server`

    - #### isRunning

          public boolean isRunning()

      Description copied from interface: `CassandraDaemon.Server`
      Returns whether the server is currently running.
      Specified by:
        `isRunning` in interface `CassandraDaemon.Server`

Copyright © 2018 The Apache Software Foundation